Package pyplusplus :: Package decl_wrappers :: Module decl_wrapper_printer :: Class decl_wrapper_printer_t

# type decl_wrapper_printer_t

source code

                                           object --+
                                                    |
    pygccxml.declarations.decl_visitor.decl_visitor_t --+
                                                        |
        pygccxml.declarations.decl_printer.decl_printer_t --+
                                                            |
                                                           decl_wrapper_printer_t

Helper class for printing declarations tree and Py++ configuration instructions

Instance Methods

__init__(self, level=0, print_details=True, recursive=True, writer=None) | source code

clone(self, increment_level=True) | source code

print_decl_header(self) | source code

print_calldef_wrapper(self) | source code

visit_member_function(self) | source code

visit_constructor(self) | source code

visit_destructor(self) | source code

visit_member_operator(self) | source code

visit_casting_operator(self) | source code

visit_free_function(self) | source code

visit_free_operator(self) | source code

visit_class_declaration(self) | source code

visit_class(self) | source code

visit_enumeration(self) | source code

visit_namespace(self) | source code

visit_typedef(self) | source code

visit_variable(self) | source code

Inherited from `pygccxml.declarations.decl_printer.decl_printer_t`: `print_calldef_info`

Class Variables
| JUSTIFY = `20`
| INDENT_SIZE = `4`

Properties
Inherited from `pygccxml.declarations.decl_printer.decl_printer_t`: `instance`, `level`, `print_details`, `recursive`, `writer`

Method Details

### __init__(self, level=0, print_details=True, recursive=True, writer=None)
(Constructor)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.__init__

### clone(self, increment_level=True)

source code

Overrides: pygccxml.declarations.decl_printer.decl_printer_t.clone

### print_decl_header(self)

source code

Overrides: pygccxml.declarations.decl_printer.decl_printer_t.print_decl_header

### visit_member_function(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_member_function

### visit_constructor(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_constructor

### visit_destructor(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_destructor

### visit_member_operator(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_member_operator

### visit_casting_operator(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_casting_operator

### visit_free_function(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_free_function

### visit_free_operator(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_free_operator

### visit_class_declaration(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_class_declaration

### visit_class(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_class

### visit_enumeration(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_enumeration

### visit_namespace(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_namespace

### visit_typedef(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_typedef

### visit_variable(self)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.visit_variable